<div class="content-header row">
    <div class="content-header-left col-md-9 col-12 mb-2">
      <div class="row breadcrumbs-top">
        <div class="col-12">
          <h2 class="content-header-title float-left mb-0">Ajouter Avenant</h2>
        
        </div>
      </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
      <div class="form-group breadcrum-right">
        <div class="dropdown">
          <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
          <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
        </div>
      </div>
    </div>
  </div>
  
  <section class="users-edit">
    <div class="card">
      <div class="card-content">
        <div class="card-body">

<form novalidate #f="ngForm" (ngSubmit)="createAvenant(f.value)">
    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFromAvenant" >
      <i class="feather icon-info mr-1 align-middle"></i>
      <span>{{InvalidFromAvenant}}</span>
    </div>
    <div class="row">
      <div class="col-6 col-sm-6">
        <div class="form-group">
          <div class="controls">

            <label>Date Effet</label>
            <input type="date" class="form-control" name="dateEffet" #dateEffet="ngModel" ngModel  required>
          </div>
          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="dateEffet.touched && dateEffet.invalid">
            <i class="feather icon-info mr-1 align-middle"></i>
            <span>Date Effet Obligatoire</span>
          </div>
        </div>
      </div>
      <div class="col-6 col-sm-6">

        <div class="form-group">
          <div class="controls">
            <label>Date Fin(date actuelle</label>
            <input type="date" class="form-control"  name="dateFin" #dateFin="ngModel" ngModel  required>
          </div>
          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="dateFin.touched && dateFin.invalid">
            <i class="feather icon-info mr-1 align-middle"></i>
            <span>Date Fin Obligatoire</span>
          </div>
        </div>
      </div>
      <div class="col-6 col-sm-6">
        <div class="form-group">
          <div class="controls">
            <label>Contrat:</label>
            <select class="form-control" name="contratId"  [(ngModel)]="selectedValueContrat"  #contratId="ngModel">
                <option [ngValue]="undefined" disabled hidden  >Choose Contrat</option>
                <option *ngFor="let c of contrats" value="{{c.id}}">{{c.numeroPolice}}</option>
              </select>
            </div>
            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="contratId.touched && selectedValueContrat === undefined">
                <i class="feather icon-info mr-1 align-middle"></i>
                <span>Contrat doit étre Obiligatoire</span>
              </div>
        </div>

      </div>

      <div class="col-6 col-sm-6">
        <div class="form-group">
          <div class="controls">
            <label>Montant:</label>
            <input type="number" class="form-control" placeholder="Montant"  name="montant" #montant="ngModel" ngModel  required>
          </div>
          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="montant.touched && montant.invalid">
            <i class="feather icon-info mr-1 align-middle"></i>
            <span>Montant Obligatoire</span>
          </div>
        </div>

      </div>
    
      </div>
      <div class="col-md-3 offset-md-9" style="margin-top: 10px;">
        <button type="reset" class="btn btn-warning mr-1 mb-1 waves-effect waves-light">Annuler</button>   
        <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light" [disabled]="f.invalid">Ajouter Avenant</button>
        </div>
      </form>     

     
            
</div>
</div>
</div>
</section>